# EditorConfig helps developers define and maintain consistent
# coding styles between different editors and IDEs
# editorconfig.org

root = true

[*]

# Change these settings to your own preference
indent_style = space
indent_size = 4

# We recommend you to keep these unchanged
end_of_line = lf
charset = utf-8
trim_trailing_whitespace = true
insert_final_newline = true

[{**.js, **.json}]
indent_size = 2

[**.ts]
indent_size = 2
quote_type = single

[**.html]
indent_size = 2

[**.xml]
indent_size = 2

[**.md]
trim_trailing_whitespace = false
max_line_length = off
